#include <iostream>
#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <cmath>
using namespace std;

vector<int> A;
int n;

bool check()
{
    // cout << "ARR:\t";
    // for (int i=0; i<n; i++)
    // {
    //     cout << A[i] << ' ';
    // }
    // cout << endl;
    for (int i=1; i<n-1; i++)
    {
        int prev = A[i-1];
        int next = A[i+1];
        int cur = A[i];

        if (cur*2 > prev+next) return false;
    }
    return true;
}

bool D(int x)
{
    if (x == n)
    {
        return check();
    }
    for (int i=x; i<n; i++)
    {
        swap(A[x], A[i]);
        bool res = D(x+1);
        swap(A[x], A[i]);

        if (res == true) return true;
    }
    return false;
}

void solve()
{
    cin >> n;
    A = vector<int>(n);
    for (int i=0; i<n; i++)
    {
        cin >> A[i];
    }

    cout << (D(0) ? "YES\n" : "NO\n");
}

int main()
{
    int t;
    cin >> t;
    while (t--) solve();
}